# Estimate Transaction Fee

Estimate the approximate fee per kilobyte required for a transaction to confirm in the next blocks, based on the current state of the mempool.

## GET /v1/bitcoin/mempool/fee-estimates

> Retrieve estimated fee rates to use for transactions to be confirmed within a specific range of blocks.

```json
{"openapi":"3.0.3","info":{"title":"SecretKeyLabs API","version":"1.0.0"},"tags":[{"name":"Bitcoin"}],"servers":[{"url":"https://api.secretkeylabs.io"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","name":"x-api-key","in":"header"}}},"paths":{"/v1/bitcoin/mempool/fee-estimates":{"get":{"tags":["Bitcoin"],"description":"Retrieve estimated fee rates to use for transactions to be confirmed within a specific range of blocks.","responses":{"200":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"currentBlockHeight":{"type":"number"},"estimates":{"type":"object","properties":{"nextBlock":{"type":"number"},"in2Blocks":{"type":"number"},"in3Blocks":{"type":"number"}},"required":["nextBlock","in2Blocks","in3Blocks"]}},"required":["currentBlockHeight","estimates"]}}}},"400":{"description":"Invalid input","content":{"application/json":{"schema":{"description":"Invalid input","type":"string"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"description":"Unauthorized","type":"string"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"description":"Not found","type":"string"}}}},"429":{"description":"Rate limit exceeded","content":{"application/json":{"schema":{"description":"Rate limit exceeded","type":"string"}}}},"500":{"description":"Internal server error","content":{"application/json":{"schema":{"description":"Internal server error","type":"string"}}}}}}}}}
```
